#include <stdio.h>

int main() {
    int n;
    int i,j;
    scanf("%d", &n);

    // 创建数组存储输入的整数序列
    int arr[1000];
    for (i = 0; i < n; i++) {
        scanf("%d", &arr[i]);
    }

    // 计算中间数
    for (i = 0; i < n; i++) {
        int smaller = 0; // 小于arr[i]的数的个数
        int larger = 0; // 大于arr[i]的数的个数
    
        for (j = 0; j < n; j++) {
            if (arr[j] < arr[i]) {
                smaller++;
            } else if (arr[j] > arr[i]) {
                larger++;
            }
        }

        if (smaller == larger) {
            printf("%d\n", arr[i]);
            return 0;
        }
    }

    // 如果没有找到中间数
    printf("-1\n");
    return 0;
}
